Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network28.26.96.0/19
Usable hosts8,190
Subnet mask255.255.224.0
Addresses8,192
Network address
28.26.96.0
Broadcast address
28.26.127.255
First usable
28.26.96.1
Last usable
28.26.127.254
Usable hosts
8,190 (8,192 less the network and broadcast addresses)
Subnet mask
255.255.224.0
Wildcard mask
0.0.31.255 (Cisco ACLs, OSPF)
Prefix length
/19
Type
Public public
Old class
A (default /8)
As numbers
Hex 1C1A6000 · Integer 471490560 to 471498751
Reverse DNS zones
96.26.28.in-addr.arpa
97.26.28.in-addr.arpa
98.26.28.in-addr.arpa
99.26.28.in-addr.arpa
100.26.28.in-addr.arpa
101.26.28.in-addr.arpa
102.26.28.in-addr.arpa
103.26.28.in-addr.arpa
104.26.28.in-addr.arpa
105.26.28.in-addr.arpa
106.26.28.in-addr.arpa
107.26.28.in-addr.arpa
108.26.28.in-addr.arpa
109.26.28.in-addr.arpa
110.26.28.in-addr.arpa
111.26.28.in-addr.arpa
and 16 more
/19 is not on a 8-bit boundary, so it takes 32 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00011100.00011010.01100000.0000000028.26.96.0
Subnet mask11111111.11111111.11100000.00000000255.255.224.0
Network00011100.00011010.01100000.0000000028.26.96.0
Broadcast00011100.00011010.01111111.1111111128.26.127.255
Split into smaller subnets/27

28.26.96.0/19 makes 256 subnets of /27.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
128.26.96.0/2728.26.96.1 to 28.26.96.3028.26.96.3130
228.26.96.32/2728.26.96.33 to 28.26.96.6228.26.96.6330
328.26.96.64/2728.26.96.65 to 28.26.96.9428.26.96.9530
428.26.96.96/2728.26.96.97 to 28.26.96.12628.26.96.12730
528.26.96.128/2728.26.96.129 to 28.26.96.15828.26.96.15930
628.26.96.160/2728.26.96.161 to 28.26.96.19028.26.96.19130
728.26.96.192/2728.26.96.193 to 28.26.96.22228.26.96.22330
828.26.96.224/2728.26.96.225 to 28.26.96.25428.26.96.25530
928.26.97.0/2728.26.97.1 to 28.26.97.3028.26.97.3130
1028.26.97.32/2728.26.97.33 to 28.26.97.6228.26.97.6330
1128.26.97.64/2728.26.97.65 to 28.26.97.9428.26.97.9530
1228.26.97.96/2728.26.97.97 to 28.26.97.12628.26.97.12730
1328.26.97.128/2728.26.97.129 to 28.26.97.15828.26.97.15930
1428.26.97.160/2728.26.97.161 to 28.26.97.19028.26.97.19130
1528.26.97.192/2728.26.97.193 to 28.26.97.22228.26.97.22330
1628.26.97.224/2728.26.97.225 to 28.26.97.25428.26.97.25530
1728.26.98.0/2728.26.98.1 to 28.26.98.3028.26.98.3130
1828.26.98.32/2728.26.98.33 to 28.26.98.6228.26.98.6330
1928.26.98.64/2728.26.98.65 to 28.26.98.9428.26.98.9530
2028.26.98.96/2728.26.98.97 to 28.26.98.12628.26.98.12730
2128.26.98.128/2728.26.98.129 to 28.26.98.15828.26.98.15930
2228.26.98.160/2728.26.98.161 to 28.26.98.19028.26.98.19130
2328.26.98.192/2728.26.98.193 to 28.26.98.22228.26.98.22330
2428.26.98.224/2728.26.98.225 to 28.26.98.25428.26.98.25530
2528.26.99.0/2728.26.99.1 to 28.26.99.3028.26.99.3130
2628.26.99.32/2728.26.99.33 to 28.26.99.6228.26.99.6330
2728.26.99.64/2728.26.99.65 to 28.26.99.9428.26.99.9530
2828.26.99.96/2728.26.99.97 to 28.26.99.12628.26.99.12730
2928.26.99.128/2728.26.99.129 to 28.26.99.15828.26.99.15930
3028.26.99.160/2728.26.99.161 to 28.26.99.19028.26.99.19130
3128.26.99.192/2728.26.99.193 to 28.26.99.22228.26.99.22330
3228.26.99.224/2728.26.99.225 to 28.26.99.25428.26.99.25530
3328.26.100.0/2728.26.100.1 to 28.26.100.3028.26.100.3130
3428.26.100.32/2728.26.100.33 to 28.26.100.6228.26.100.6330
3528.26.100.64/2728.26.100.65 to 28.26.100.9428.26.100.9530
3628.26.100.96/2728.26.100.97 to 28.26.100.12628.26.100.12730
3728.26.100.128/2728.26.100.129 to 28.26.100.15828.26.100.15930
3828.26.100.160/2728.26.100.161 to 28.26.100.19028.26.100.19130
3928.26.100.192/2728.26.100.193 to 28.26.100.22228.26.100.22330
4028.26.100.224/2728.26.100.225 to 28.26.100.25428.26.100.25530
4128.26.101.0/2728.26.101.1 to 28.26.101.3028.26.101.3130
4228.26.101.32/2728.26.101.33 to 28.26.101.6228.26.101.6330
4328.26.101.64/2728.26.101.65 to 28.26.101.9428.26.101.9530
4428.26.101.96/2728.26.101.97 to 28.26.101.12628.26.101.12730
4528.26.101.128/2728.26.101.129 to 28.26.101.15828.26.101.15930
4628.26.101.160/2728.26.101.161 to 28.26.101.19028.26.101.19130
4728.26.101.192/2728.26.101.193 to 28.26.101.22228.26.101.22330
4828.26.101.224/2728.26.101.225 to 28.26.101.25428.26.101.25530
4928.26.102.0/2728.26.102.1 to 28.26.102.3028.26.102.3130
5028.26.102.32/2728.26.102.33 to 28.26.102.6228.26.102.6330
5128.26.102.64/2728.26.102.65 to 28.26.102.9428.26.102.9530
5228.26.102.96/2728.26.102.97 to 28.26.102.12628.26.102.12730
5328.26.102.128/2728.26.102.129 to 28.26.102.15828.26.102.15930
5428.26.102.160/2728.26.102.161 to 28.26.102.19028.26.102.19130
5528.26.102.192/2728.26.102.193 to 28.26.102.22228.26.102.22330
5628.26.102.224/2728.26.102.225 to 28.26.102.25428.26.102.25530
5728.26.103.0/2728.26.103.1 to 28.26.103.3028.26.103.3130
5828.26.103.32/2728.26.103.33 to 28.26.103.6228.26.103.6330
5928.26.103.64/2728.26.103.65 to 28.26.103.9428.26.103.9530
6028.26.103.96/2728.26.103.97 to 28.26.103.12628.26.103.12730
6128.26.103.128/2728.26.103.129 to 28.26.103.15828.26.103.15930
6228.26.103.160/2728.26.103.161 to 28.26.103.19028.26.103.19130
6328.26.103.192/2728.26.103.193 to 28.26.103.22228.26.103.22330
6428.26.103.224/2728.26.103.225 to 28.26.103.25428.26.103.25530
6528.26.104.0/2728.26.104.1 to 28.26.104.3028.26.104.3130
6628.26.104.32/2728.26.104.33 to 28.26.104.6228.26.104.6330
6728.26.104.64/2728.26.104.65 to 28.26.104.9428.26.104.9530
6828.26.104.96/2728.26.104.97 to 28.26.104.12628.26.104.12730
6928.26.104.128/2728.26.104.129 to 28.26.104.15828.26.104.15930
7028.26.104.160/2728.26.104.161 to 28.26.104.19028.26.104.19130
7128.26.104.192/2728.26.104.193 to 28.26.104.22228.26.104.22330
7228.26.104.224/2728.26.104.225 to 28.26.104.25428.26.104.25530
7328.26.105.0/2728.26.105.1 to 28.26.105.3028.26.105.3130
7428.26.105.32/2728.26.105.33 to 28.26.105.6228.26.105.6330
7528.26.105.64/2728.26.105.65 to 28.26.105.9428.26.105.9530
7628.26.105.96/2728.26.105.97 to 28.26.105.12628.26.105.12730
7728.26.105.128/2728.26.105.129 to 28.26.105.15828.26.105.15930
7828.26.105.160/2728.26.105.161 to 28.26.105.19028.26.105.19130
7928.26.105.192/2728.26.105.193 to 28.26.105.22228.26.105.22330
8028.26.105.224/2728.26.105.225 to 28.26.105.25428.26.105.25530
8128.26.106.0/2728.26.106.1 to 28.26.106.3028.26.106.3130
8228.26.106.32/2728.26.106.33 to 28.26.106.6228.26.106.6330
8328.26.106.64/2728.26.106.65 to 28.26.106.9428.26.106.9530
8428.26.106.96/2728.26.106.97 to 28.26.106.12628.26.106.12730
8528.26.106.128/2728.26.106.129 to 28.26.106.15828.26.106.15930
8628.26.106.160/2728.26.106.161 to 28.26.106.19028.26.106.19130
8728.26.106.192/2728.26.106.193 to 28.26.106.22228.26.106.22330
8828.26.106.224/2728.26.106.225 to 28.26.106.25428.26.106.25530
8928.26.107.0/2728.26.107.1 to 28.26.107.3028.26.107.3130
9028.26.107.32/2728.26.107.33 to 28.26.107.6228.26.107.6330
9128.26.107.64/2728.26.107.65 to 28.26.107.9428.26.107.9530
9228.26.107.96/2728.26.107.97 to 28.26.107.12628.26.107.12730
9328.26.107.128/2728.26.107.129 to 28.26.107.15828.26.107.15930
9428.26.107.160/2728.26.107.161 to 28.26.107.19028.26.107.19130
9528.26.107.192/2728.26.107.193 to 28.26.107.22228.26.107.22330
9628.26.107.224/2728.26.107.225 to 28.26.107.25428.26.107.25530
9728.26.108.0/2728.26.108.1 to 28.26.108.3028.26.108.3130
9828.26.108.32/2728.26.108.33 to 28.26.108.6228.26.108.6330
9928.26.108.64/2728.26.108.65 to 28.26.108.9428.26.108.9530
10028.26.108.96/2728.26.108.97 to 28.26.108.12628.26.108.12730
10128.26.108.128/2728.26.108.129 to 28.26.108.15828.26.108.15930
10228.26.108.160/2728.26.108.161 to 28.26.108.19028.26.108.19130
10328.26.108.192/2728.26.108.193 to 28.26.108.22228.26.108.22330
10428.26.108.224/2728.26.108.225 to 28.26.108.25428.26.108.25530
10528.26.109.0/2728.26.109.1 to 28.26.109.3028.26.109.3130
10628.26.109.32/2728.26.109.33 to 28.26.109.6228.26.109.6330
10728.26.109.64/2728.26.109.65 to 28.26.109.9428.26.109.9530
10828.26.109.96/2728.26.109.97 to 28.26.109.12628.26.109.12730
10928.26.109.128/2728.26.109.129 to 28.26.109.15828.26.109.15930
11028.26.109.160/2728.26.109.161 to 28.26.109.19028.26.109.19130
11128.26.109.192/2728.26.109.193 to 28.26.109.22228.26.109.22330
11228.26.109.224/2728.26.109.225 to 28.26.109.25428.26.109.25530
11328.26.110.0/2728.26.110.1 to 28.26.110.3028.26.110.3130
11428.26.110.32/2728.26.110.33 to 28.26.110.6228.26.110.6330
11528.26.110.64/2728.26.110.65 to 28.26.110.9428.26.110.9530
11628.26.110.96/2728.26.110.97 to 28.26.110.12628.26.110.12730
11728.26.110.128/2728.26.110.129 to 28.26.110.15828.26.110.15930
11828.26.110.160/2728.26.110.161 to 28.26.110.19028.26.110.19130
11928.26.110.192/2728.26.110.193 to 28.26.110.22228.26.110.22330
12028.26.110.224/2728.26.110.225 to 28.26.110.25428.26.110.25530
12128.26.111.0/2728.26.111.1 to 28.26.111.3028.26.111.3130
12228.26.111.32/2728.26.111.33 to 28.26.111.6228.26.111.6330
12328.26.111.64/2728.26.111.65 to 28.26.111.9428.26.111.9530
12428.26.111.96/2728.26.111.97 to 28.26.111.12628.26.111.12730
12528.26.111.128/2728.26.111.129 to 28.26.111.15828.26.111.15930
12628.26.111.160/2728.26.111.161 to 28.26.111.19028.26.111.19130
12728.26.111.192/2728.26.111.193 to 28.26.111.22228.26.111.22330
12828.26.111.224/2728.26.111.225 to 28.26.111.25428.26.111.25530
12928.26.112.0/2728.26.112.1 to 28.26.112.3028.26.112.3130
13028.26.112.32/2728.26.112.33 to 28.26.112.6228.26.112.6330
13128.26.112.64/2728.26.112.65 to 28.26.112.9428.26.112.9530
13228.26.112.96/2728.26.112.97 to 28.26.112.12628.26.112.12730
13328.26.112.128/2728.26.112.129 to 28.26.112.15828.26.112.15930
13428.26.112.160/2728.26.112.161 to 28.26.112.19028.26.112.19130
13528.26.112.192/2728.26.112.193 to 28.26.112.22228.26.112.22330
13628.26.112.224/2728.26.112.225 to 28.26.112.25428.26.112.25530
13728.26.113.0/2728.26.113.1 to 28.26.113.3028.26.113.3130
13828.26.113.32/2728.26.113.33 to 28.26.113.6228.26.113.6330
13928.26.113.64/2728.26.113.65 to 28.26.113.9428.26.113.9530
14028.26.113.96/2728.26.113.97 to 28.26.113.12628.26.113.12730
14128.26.113.128/2728.26.113.129 to 28.26.113.15828.26.113.15930
14228.26.113.160/2728.26.113.161 to 28.26.113.19028.26.113.19130
14328.26.113.192/2728.26.113.193 to 28.26.113.22228.26.113.22330
14428.26.113.224/2728.26.113.225 to 28.26.113.25428.26.113.25530
14528.26.114.0/2728.26.114.1 to 28.26.114.3028.26.114.3130
14628.26.114.32/2728.26.114.33 to 28.26.114.6228.26.114.6330
14728.26.114.64/2728.26.114.65 to 28.26.114.9428.26.114.9530
14828.26.114.96/2728.26.114.97 to 28.26.114.12628.26.114.12730
14928.26.114.128/2728.26.114.129 to 28.26.114.15828.26.114.15930
15028.26.114.160/2728.26.114.161 to 28.26.114.19028.26.114.19130
15128.26.114.192/2728.26.114.193 to 28.26.114.22228.26.114.22330
15228.26.114.224/2728.26.114.225 to 28.26.114.25428.26.114.25530
15328.26.115.0/2728.26.115.1 to 28.26.115.3028.26.115.3130
15428.26.115.32/2728.26.115.33 to 28.26.115.6228.26.115.6330
15528.26.115.64/2728.26.115.65 to 28.26.115.9428.26.115.9530
15628.26.115.96/2728.26.115.97 to 28.26.115.12628.26.115.12730
15728.26.115.128/2728.26.115.129 to 28.26.115.15828.26.115.15930
15828.26.115.160/2728.26.115.161 to 28.26.115.19028.26.115.19130
15928.26.115.192/2728.26.115.193 to 28.26.115.22228.26.115.22330
16028.26.115.224/2728.26.115.225 to 28.26.115.25428.26.115.25530
16128.26.116.0/2728.26.116.1 to 28.26.116.3028.26.116.3130
16228.26.116.32/2728.26.116.33 to 28.26.116.6228.26.116.6330
16328.26.116.64/2728.26.116.65 to 28.26.116.9428.26.116.9530
16428.26.116.96/2728.26.116.97 to 28.26.116.12628.26.116.12730
16528.26.116.128/2728.26.116.129 to 28.26.116.15828.26.116.15930
16628.26.116.160/2728.26.116.161 to 28.26.116.19028.26.116.19130
16728.26.116.192/2728.26.116.193 to 28.26.116.22228.26.116.22330
16828.26.116.224/2728.26.116.225 to 28.26.116.25428.26.116.25530
16928.26.117.0/2728.26.117.1 to 28.26.117.3028.26.117.3130
17028.26.117.32/2728.26.117.33 to 28.26.117.6228.26.117.6330
17128.26.117.64/2728.26.117.65 to 28.26.117.9428.26.117.9530
17228.26.117.96/2728.26.117.97 to 28.26.117.12628.26.117.12730
17328.26.117.128/2728.26.117.129 to 28.26.117.15828.26.117.15930
17428.26.117.160/2728.26.117.161 to 28.26.117.19028.26.117.19130
17528.26.117.192/2728.26.117.193 to 28.26.117.22228.26.117.22330
17628.26.117.224/2728.26.117.225 to 28.26.117.25428.26.117.25530
17728.26.118.0/2728.26.118.1 to 28.26.118.3028.26.118.3130
17828.26.118.32/2728.26.118.33 to 28.26.118.6228.26.118.6330
17928.26.118.64/2728.26.118.65 to 28.26.118.9428.26.118.9530
18028.26.118.96/2728.26.118.97 to 28.26.118.12628.26.118.12730
18128.26.118.128/2728.26.118.129 to 28.26.118.15828.26.118.15930
18228.26.118.160/2728.26.118.161 to 28.26.118.19028.26.118.19130
18328.26.118.192/2728.26.118.193 to 28.26.118.22228.26.118.22330
18428.26.118.224/2728.26.118.225 to 28.26.118.25428.26.118.25530
18528.26.119.0/2728.26.119.1 to 28.26.119.3028.26.119.3130
18628.26.119.32/2728.26.119.33 to 28.26.119.6228.26.119.6330
18728.26.119.64/2728.26.119.65 to 28.26.119.9428.26.119.9530
18828.26.119.96/2728.26.119.97 to 28.26.119.12628.26.119.12730
18928.26.119.128/2728.26.119.129 to 28.26.119.15828.26.119.15930
19028.26.119.160/2728.26.119.161 to 28.26.119.19028.26.119.19130
19128.26.119.192/2728.26.119.193 to 28.26.119.22228.26.119.22330
19228.26.119.224/2728.26.119.225 to 28.26.119.25428.26.119.25530
19328.26.120.0/2728.26.120.1 to 28.26.120.3028.26.120.3130
19428.26.120.32/2728.26.120.33 to 28.26.120.6228.26.120.6330
19528.26.120.64/2728.26.120.65 to 28.26.120.9428.26.120.9530
19628.26.120.96/2728.26.120.97 to 28.26.120.12628.26.120.12730
19728.26.120.128/2728.26.120.129 to 28.26.120.15828.26.120.15930
19828.26.120.160/2728.26.120.161 to 28.26.120.19028.26.120.19130
19928.26.120.192/2728.26.120.193 to 28.26.120.22228.26.120.22330
20028.26.120.224/2728.26.120.225 to 28.26.120.25428.26.120.25530
20128.26.121.0/2728.26.121.1 to 28.26.121.3028.26.121.3130
20228.26.121.32/2728.26.121.33 to 28.26.121.6228.26.121.6330
20328.26.121.64/2728.26.121.65 to 28.26.121.9428.26.121.9530
20428.26.121.96/2728.26.121.97 to 28.26.121.12628.26.121.12730
20528.26.121.128/2728.26.121.129 to 28.26.121.15828.26.121.15930
20628.26.121.160/2728.26.121.161 to 28.26.121.19028.26.121.19130
20728.26.121.192/2728.26.121.193 to 28.26.121.22228.26.121.22330
20828.26.121.224/2728.26.121.225 to 28.26.121.25428.26.121.25530
20928.26.122.0/2728.26.122.1 to 28.26.122.3028.26.122.3130
21028.26.122.32/2728.26.122.33 to 28.26.122.6228.26.122.6330
21128.26.122.64/2728.26.122.65 to 28.26.122.9428.26.122.9530
21228.26.122.96/2728.26.122.97 to 28.26.122.12628.26.122.12730
21328.26.122.128/2728.26.122.129 to 28.26.122.15828.26.122.15930
21428.26.122.160/2728.26.122.161 to 28.26.122.19028.26.122.19130
21528.26.122.192/2728.26.122.193 to 28.26.122.22228.26.122.22330
21628.26.122.224/2728.26.122.225 to 28.26.122.25428.26.122.25530
21728.26.123.0/2728.26.123.1 to 28.26.123.3028.26.123.3130
21828.26.123.32/2728.26.123.33 to 28.26.123.6228.26.123.6330
21928.26.123.64/2728.26.123.65 to 28.26.123.9428.26.123.9530
22028.26.123.96/2728.26.123.97 to 28.26.123.12628.26.123.12730
22128.26.123.128/2728.26.123.129 to 28.26.123.15828.26.123.15930
22228.26.123.160/2728.26.123.161 to 28.26.123.19028.26.123.19130
22328.26.123.192/2728.26.123.193 to 28.26.123.22228.26.123.22330
22428.26.123.224/2728.26.123.225 to 28.26.123.25428.26.123.25530
22528.26.124.0/2728.26.124.1 to 28.26.124.3028.26.124.3130
22628.26.124.32/2728.26.124.33 to 28.26.124.6228.26.124.6330
22728.26.124.64/2728.26.124.65 to 28.26.124.9428.26.124.9530
22828.26.124.96/2728.26.124.97 to 28.26.124.12628.26.124.12730
22928.26.124.128/2728.26.124.129 to 28.26.124.15828.26.124.15930
23028.26.124.160/2728.26.124.161 to 28.26.124.19028.26.124.19130
23128.26.124.192/2728.26.124.193 to 28.26.124.22228.26.124.22330
23228.26.124.224/2728.26.124.225 to 28.26.124.25428.26.124.25530
23328.26.125.0/2728.26.125.1 to 28.26.125.3028.26.125.3130
23428.26.125.32/2728.26.125.33 to 28.26.125.6228.26.125.6330
23528.26.125.64/2728.26.125.65 to 28.26.125.9428.26.125.9530
23628.26.125.96/2728.26.125.97 to 28.26.125.12628.26.125.12730
23728.26.125.128/2728.26.125.129 to 28.26.125.15828.26.125.15930
23828.26.125.160/2728.26.125.161 to 28.26.125.19028.26.125.19130
23928.26.125.192/2728.26.125.193 to 28.26.125.22228.26.125.22330
24028.26.125.224/2728.26.125.225 to 28.26.125.25428.26.125.25530
24128.26.126.0/2728.26.126.1 to 28.26.126.3028.26.126.3130
24228.26.126.32/2728.26.126.33 to 28.26.126.6228.26.126.6330
24328.26.126.64/2728.26.126.65 to 28.26.126.9428.26.126.9530
24428.26.126.96/2728.26.126.97 to 28.26.126.12628.26.126.12730
24528.26.126.128/2728.26.126.129 to 28.26.126.15828.26.126.15930
24628.26.126.160/2728.26.126.161 to 28.26.126.19028.26.126.19130
24728.26.126.192/2728.26.126.193 to 28.26.126.22228.26.126.22330
24828.26.126.224/2728.26.126.225 to 28.26.126.25428.26.126.25530
24928.26.127.0/2728.26.127.1 to 28.26.127.3028.26.127.3130
25028.26.127.32/2728.26.127.33 to 28.26.127.6228.26.127.6330
25128.26.127.64/2728.26.127.65 to 28.26.127.9428.26.127.9530
25228.26.127.96/2728.26.127.97 to 28.26.127.12628.26.127.12730
25328.26.127.128/2728.26.127.129 to 28.26.127.15828.26.127.15930
25428.26.127.160/2728.26.127.161 to 28.26.127.19028.26.127.19130
25528.26.127.192/2728.26.127.193 to 28.26.127.22228.26.127.22330
25628.26.127.224/2728.26.127.225 to 28.26.127.25428.26.127.25530

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses